Page MenuHomePhabricator

Search broken on mobile web on Android 2.3
Closed, ResolvedPublic

Description

If you tap on the search box, the text in the search box disappears, but nothing else happens. If you tap again, it brings up your keyboard and lets you search.

But, the results cannot be interacted with, so once you start searching you can't actually go to any results.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterDon't enable search enhancement on Android 2

Event Timeline

Deskana created this task.Dec 5 2014, 7:27 PM
Deskana raised the priority of this task from to Needs Triage.
Deskana updated the task description. (Show Details)
Deskana changed Security from none to None.
Deskana added a subscriber: Deskana.
bearND added a subscriber: bearND.Dec 10 2014, 9:35 PM

Can you be more specific? Tested on Android 2.3.5 stock browser and it works fine.

Also cannot replicate on Android 2.3.4

@Deskana – do you happen to remember which device you were able to replicate this on? I know it was one of the ones in the office... A community member also reported seeing it on a Samsung Intercept with Android 2.2.2 and the standard web browser.

@Maryana @Jdlrobson I don't remember the exact device. I remember vaguely what it looks like though, so I'll pull it out of the cabinet and give it to Jon.

It's also broken on my Android 2.3 emulator. The emulator's called Genymotion and it's free for noncommercial use, if you want to download it and set up your own 2.3 emulator: https://www.genymotion.com/

phuedx added a subscriber: phuedx.Dec 11 2014, 5:53 PM

@Jdlrobson: I can replicate this on BrowserStack using the Motorola Droid Razr.

Change 179948 had a related patch set uploaded (by Phuedx):
Hide search on Android 2.3 or less

https://gerrit.wikimedia.org/r/179948

Patch-For-Review

@Jdlrobson 179948 simply hides the search form elements for Android 2.3 or less. Thoughts?

Change 179948 merged by jenkins-bot:
Don't enable search enhancement on Android 2

https://gerrit.wikimedia.org/r/179948

Jdlrobson closed this task as Resolved.Dec 17 2014, 8:07 PM
Jdlrobson claimed this task.